Skip to main content
PUT
/
user
/
{userid}
Update an end-user
curl --request PUT \
  --url https://api.sleekplan.com/v1/user/{userid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data_mail": "jsmith@example.com",
  "data_id": "<string>",
  "data_name": "<string>",
  "data_full_name": "<string>",
  "data_img": "<string>",
  "data": {}
}
'
{
  "status": "<string>",
  "data": {
    "user_id": 123,
    "data_id": "<string>",
    "admin_id": 123,
    "anonymous": true,
    "data_name": "<string>",
    "data_full_name": "<string>",
    "data_mail": "<string>",
    "data_img": "<string>",
    "segments": [
      "<string>"
    ],
    "data": {},
    "data_system": {
      "ip": "<string>",
      "lat": "<string>",
      "lng": "<string>",
      "city": "<string>",
      "browser": "<string>",
      "country": "<string>",
      "platform": "<string>",
      "timezone": "<string>",
      "continent": "<string>",
      "user_agent": "<string>",
      "currency_code": "<string>",
      "browser_version": "<string>",
      "currency_symbol": "<string>"
    },
    "stats_feedback": 123,
    "stats_votes": 123,
    "stats_comments": 123,
    "stats_satisfaction": 123,
    "stats_promoter": 123,
    "notify": 123,
    "notify_settings": {
      "mention": true,
      "changelog": true,
      "subscribed": true
    },
    "weight": 123,
    "created": "<string>",
    "updated": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sleekplan.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userid
string
required

Body

application/json
data_mail
string<email>
data_id
string
data_name
string
Pattern: [a-z0-9_]
data_full_name
string
data_img
string<uri>
data
object

Response

200 - application/json

OK

status
string
data
object